Bug 101248 - e2fsadm error message and docs misleadingly refer to 'ext2online', which has been removed form the distro.
e2fsadm error message and docs misleadingly refer to 'ext2online', which has ...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: lvm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 09:57 EDT by Brad Smith
Modified: 2007-04-18 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2003-07-30 09:57:37 EDT
Description of problem:
When you try to resize a mounted lvm partition it complains about not being able
to run 'ext2online', which the man page says it calls for online (mounted)
resizings. However, the user quickly finds that this tool is not installed and
is not in the Red Hat RPM db. It has come to my attention that this tool was
removed from the distro due to instability (though it will hopefully be stable
as of kernel 2.6). However, neither the documentation nor the man page make not
of this and can lead to a great deal of frustration on the user's part.

Proposed solution:
Could we at least provide an eratta update to the documentation (or at best do
that and patch e2fsadm to prevent it from referring to ext2online in its error
message) and insure that the erroneous documentation is not included in Severn?
Comment 1 Bill Nottingham 2006-08-05 00:06:24 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:49:08 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.